漏洞信息详情

DigitalWebShop多个远程文件包含漏洞

  • CNNVD编号:CNNVD-200609-392
  • 危害等级: 中危
  • CVE编号: CVE-2006-4945
  • 漏洞类型: 输入验证
  • 发布时间: 2006-09-22
  • 威胁类型: 远程
  • 更新时间: 2006-09-25
  • 厂        商: cardway
  • 漏洞来源: ajann

漏洞简介

DigitalWebShop是一个内嵌的PHP脚本,可以使用图形相册和描述设计在线产品目录。

DigitalWebShop的rechnung.php和prepend.php文件没有正确地验证_PHPLIB[libdir]参数的输入,允许攻击者通过包含本地和外部资源的任意文件执行任意PHP代码。

漏洞代码如下:

....

require_once($_PHPLIB[\"libdir\"] . \"phpDB-mysql.lib\"); /*

Mysql Class*/

require_once($_PHPLIB[\"libdir\"] . \"messages_inc.php\"); /*

Layout f?r Echos & Prints. */

....

成功攻击要求打开了register_globals。

漏洞公告

目前厂商还没有提供补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本:

http://digitalwebshop.dyndns.org/phpBB2/index.php

参考网址

来源: XF

名称: digitalwebshop-libdir-file-include(29037)

链接:http://xforce.iss.net/xforce/xfdb/29037

来源: BID

名称: 20107

链接:http://www.securityfocus.com/bid/20107

来源: VUPEN

名称: ADV-2006-3705

链接:http://www.frsirt.com/english/advisories/2006/3705

来源: SECUNIA

名称: 22026

链接:http://secunia.com/advisories/22026

来源: MILW0RM

名称: 2398

链接:http://milw0rm.com/exploits/2398

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多